<?php
/**
 * @package Search Engine BBC
 * @version 1.1
 * @author Rumpa
 * @copyright 2022
 * @license http://www.opensource.org/licenses/bsd-license.php
 */

if (!defined('SMF'))
	die('Hacking attempt...');

function SEBBC(&$codes)
{
	global $txt;
	loadLanguage('SEBBC');


 $codes[] = array(
		'tag' => 'bing',
		'type' => 'unparsed_content',
		'content' => '<a href="http://www.bing.com/search?q=$1" title="'.$txt['bing'].': $1" target="_blank">$1</a>',
		'disallow_children' => array('email', 'ftp', 'url', 'iurl'),
		);
		$codes[] = array(
		 'tag' => 'imdb',
		 'type' => 'unparsed_content',
		 'content' => '<a href="http://www.imdb.com/find?s=all&q=$1" tittle="'.$txt['imdb'].': $1" target="_blank">$1</a>',
		 'disallow_children' => array('email', 'ftp', 'url', 'iurl'),
		 );
		 $codes[] = array(
		  'tag' => 'google',
		  'type' => 'unparsed_content',
		  'content' => '<a href="http://www.google.com/search?s=all&q=$1" tittle="'.$txt['google'].': $1 target="_blank">$1</a>',
		  'disallow_children' => array('email', 'ftp', 'url', 'iurl'),
		  );
}

function SEBBC_buttons(&$bbc_tags)
{
	global $txt;
	
	// Load language
	loadLanguage('SEBBC');

	// Add se bbc buttons after 'justify' button.
	$se_bbc = array();
	foreach ($bbc_tags[0] as $tag)
	{
		$se_bbc[] = $tag;
		if (isset($tag['code']) && $tag['code'] == 'justify')
		{
			$se_bbc[] = array(
			);
			$se_bbc[] = array(
				'image' => 'bing',
				'code' => 'bing',
				'before' => '[bing]',
				'after' => '[/bing]',
				'description' => $txt['bing']
			);
			$se_bbc[] = array(
			 'image' => 'imdb',
			 'code' => 'imdb',
			 'before' => '[imdb]',
			 'after' => '[/imdb]',
			 'description' => $txt['imdb']
			 );
			 $se_bbc[] = array(
			  'image' => 'google',
			  'code' => 'google',
			  'before' => '[google]',
			  'after' => '[/google]',
			  'description' => $txt['google']
			  );
		}
	}
 $bbc_tags[0] = $se_bbc;
}

?>